#2736 closed defect (fixed)

pthread_getschedparam() returns wrong priority values

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

See also

http://pubs.opengroup.org/onlinepubs/9699919799/functions/pthread_getschedparam.html

"The priority value returned from pthread_getschedparam() shall be the value specified by the most recent pthread_setschedparam(), pthread_setschedprio(), or pthread_create() call affecting the target thread. It shall not reflect any temporary adjustments to its priority as a result of any priority inheritance or ceiling functions."

Change History (4)

comment:1 Changed on Jun 13, 2016 at 12:59:41 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 23b1bb38b208a6638747bb49b8184a5571e8f5e7/rtems:

posix: Fix pthread_getschedparam()

Return the unmodified thread priority value according to POSIX.

Close #2736.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.